program p1;
uses mtx09;
var
  m: mtx;
  f: text;
begin
  tra;
// open/close implicit direct access to named mtx
  mrd(m,'p1.dat','B');
  mrd(m,'p1.dat'); // read first mtx in file ( whatever )
// stream input in an open file descriptor
  reset(f,'p1.dat');
  while mrd(m,f) do;
  close(f)
//
end.
